OGRE: Ogre::CompositorPassComputeDef::ComputeTextureSource Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::CompositorPassComputeDef::ComputeTextureSource Struct Reference

`#include <OgreCompositorPassComputeDef.h>`

## Public Member Functions
| ComputeTextureSource (size_t _texUnitIdx, IdString _textureName)
| ComputeTextureSource (size_t _texUnitIdx, IdString _textureName, ResourceAccess::ResourceAccess _access, int32 _mipmapLevel, int32 _textureArrayIndex, PixelFormatGpu _pixelFormat, bool _allowWriteAfterWrite)

## Public Attributes
union {
bool allowWriteAfterWrite
bool usesAllFields
}; |
ResourceAccess::ResourceAccess | access
int32 | mipmapLevel
PixelFormatGpu | pixelFormat
int32 | textureArrayIndex
IdString | textureName
| Name of the texture (can come from input channel, local textures, or global ones) More...
uint32 | texUnitIdx
| Index of texture unit state to change. More...

## Constructor & Destructor Documentation

## ◆ ComputeTextureSource() [1/2]

Ogre::CompositorPassComputeDef::ComputeTextureSource::ComputeTextureSource | ( | size_t | _texUnitIdx,
|  | IdString | _textureName
| ) |  |
| inline

## ◆ ComputeTextureSource() [2/2]

Ogre::CompositorPassComputeDef::ComputeTextureSource::ComputeTextureSource | ( | size_t | _texUnitIdx,
|  | IdString | _textureName,
|  | ResourceAccess::ResourceAccess | _access,
|  | int32 | _mipmapLevel,
|  | int32 | _textureArrayIndex,
|  | PixelFormatGpu | _pixelFormat,
|  | bool | _allowWriteAfterWrite
| ) |  |
| inline

## Member Data Documentation

## ◆ @1

union { ... }

## ◆ access

ResourceAccess::ResourceAccess Ogre::CompositorPassComputeDef::ComputeTextureSource::access

## ◆ allowWriteAfterWrite

bool Ogre::CompositorPassComputeDef::ComputeTextureSource::allowWriteAfterWrite

## ◆ mipmapLevel

int32 Ogre::CompositorPassComputeDef::ComputeTextureSource::mipmapLevel

## ◆ pixelFormat

PixelFormatGpu Ogre::CompositorPassComputeDef::ComputeTextureSource::pixelFormat

## ◆ textureArrayIndex

int32 Ogre::CompositorPassComputeDef::ComputeTextureSource::textureArrayIndex

## ◆ textureName

IdString Ogre::CompositorPassComputeDef::ComputeTextureSource::textureName

Name of the texture (can come from input channel, local textures, or global ones)

## ◆ texUnitIdx

uint32 Ogre::CompositorPassComputeDef::ComputeTextureSource::texUnitIdx

Index of texture unit state to change.

## ◆ usesAllFields

bool Ogre::CompositorPassComputeDef::ComputeTextureSource::usesAllFields

The documentation for this struct was generated from the following file:

- OgreCompositorPassComputeDef.h